
$meow_count ||= 0

class Time
	def self.meow
		$meow_count +=1
		self.now
	end
end

class DateTime
	def self.meow
		$meow_count +=1
		self.now
	end
end

alias hey_meow! raise

module Kernal
	def hey_meow!(*args)
		$meow_count +=1
		raise *args
	end
end

def not_meow(n)
	$meow_count +=1
	sleep(n)
end

def method_missing(method_name, *args, &block)
	if method_name.to_s.match(/meow/)
		real_method = method_name.to_s.gsub(/meow/, '')
		$meow_count +=1
		send(real_method.to_sym, *args, &block)
	else
		super
	end
end